commit:     1fc83855d2adf125eb78d6c3cc6d7fc6c33126da
Author:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 12 18:19:23 2019 +0000
Commit:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Mon Aug 12 18:19:23 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fc83855

dev-python/notify2: Version bump to dev-python/notify2-0.3.1.

notify2-0.3.1 now includes sphinx documentation which is not
installed by the ebuild.

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Daniel Pielmeier <billie <AT> gentoo.org>

 dev-python/notify2/Manifest             |  1 +
 dev-python/notify2/notify2-0.3.1.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/notify2/Manifest b/dev-python/notify2/Manifest
index 2064f5d40d0..91e1dd44f51 100644
--- a/dev-python/notify2/Manifest
+++ b/dev-python/notify2/Manifest
@@ -1 +1,2 @@
+DIST notify2-0.3.1.tar.gz 17792 BLAKE2B 
649df1934d1fffb97dabbf2f483204c55427fbede851840d642da2e4e62a9bda9d49670e60f5b2cda36b62ee47b7d0cd861d757d338867547dce3c7d61ddf7b4
 SHA512 
0b69a64e0a7e4955ee767c975db92c5c60d28c0e54f77498cfb98390771a8f536631fc34e42b5c46c138dfa1054b5516a0809b8e3b0cb9237a39825ddb827109
 DIST notify2-0.3.tar.gz 8798 BLAKE2B 
57e1eeaa96b9e5354991db36440abfbf80471887c094e41dd6ccff72f1b1b35524bebf83b44afa455c64cdc3fb7b0ef66d2517ca499340a3d001e796828ff9b6
 SHA512 
3290a5ff291d5500bcf631094fcf10302b234353eb8c26b91e7cd264238443866aadc15224d51eb6608e16b7ffbc9316d4bc551e5ad9de2a48b12a31b195739f

diff --git a/dev-python/notify2/notify2-0.3.1.ebuild 
b/dev-python/notify2/notify2-0.3.1.ebuild
new file mode 100644
index 00000000000..0e2390bd25f
--- /dev/null
+++ b/dev-python/notify2/notify2-0.3.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Python interface to DBus notifications."
+HOMEPAGE="https://bitbucket.org/takluyver/pynotify2";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="examples"
+
+RDEPEND="dev-python/dbus-python[${PYTHON_USEDEP}]"
+
+python_test() {
+       virtx ${EPYTHON} test_notify2.py || die
+}
+
+python_install_all() {
+       if use examples; then
+               insinto /usr/share/doc/${PF}/examples
+               doins examples/*
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to